/*
**	File:			SampleFilterHints.h
**
**	Description:	Definition of Collection Manager tags 
**					and id values used by SampleFilter.
**
**	Version:		
**
**	Copyright 1999 Apple Computer. All rights reserved.
**
**	You may incorporate this sample code into your applications without
**	restriction, though the sample code has been provided "AS IS" and the
**	responsibility for its operation is 100% yours.  However, what you are
**	not permitted to do is to redistribute the source as "ABC Sample Code"
**	after having made changes. If you're going to re-distribute the source,
**	we require that you make it clear in the source that the code was
**	descended from Apple Sample Code, but that you've made changes.
**
*/

typedef enum{
	kPagesNone,
	kPagesFirst,
	kPagesAll
}PagesCommentMode;


#define kSampleFilterSignature	'vgr2'				// this needs to be an appropriate OSType (e.g. your creator)

#define kHintTextTag				'text'
#define kHintTextId					1
#define kHintTextVar				Str255

#define kHintCustomHeaderTag		'head'
#define kHintCustomHeaderId			1
#define kHintCustomHeaderVar		Boolean
#define kHintCustomHeaderDef		true

#define kHintPagesCommentTag		'page'
#define kHintPagesCommentId			1
#define kHintPagesCommentVar		PagesCommentMode
#define kHintPagesCommentDef		kPagesAll

